// StackEmptyException.java
//
// CompSci 141 / CSE 141 / Informatics 101 Fall 2009
// In-class example: a generic stack class in Java
//
// StackEmptyExceptions are thrown by Stack<E> when either popping or
// topping an empty stack.  By extending this class from RuntimeException,
// I'm stating that this exception is "unchecked," meaning that it can be
// thrown by a method without the method having a "throws" clause, and it
// does not have to be caught.


public class StackEmptyException extends RuntimeException
{
	public StackEmptyException()
	{
	}
}
